Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface UserPortletState

public interface UserPortletState
extends PortalResource

Interface `UserPortletState` represents the current state of a portlet with respect to a specific user session. All the data required to personalize the associated portlet should be available through this interface.

Method Summary
`java.lang.String` | `getDisplayName()` Method `getDisplayName` returns the display name of this portlet.
`PlaceholderIdentifier` | `getPlaceholderIdentifier()` Method `getPlaceholderIdentifier` retrieves an identifier for the placeholder that this portlet instance is currently situated within.
`int` | `getPlaceholderIndex()` Method `getPlaceholderIndex` retrieves an index representing an ordering for this portlet within the placeholder that is specified by the `getPlaceholderIdentifier` method.
`PortletIdentifier` | `getPortletIdentifier()` Method `getPortletIdentifier` retrieves an identifier representing the portlet definition that this portlet is an instance of.
`boolean` | `isEditable()` Method `isEditable` determines whether this portlet currently has the 'editable' attribute set for this user.
`boolean` | `isFloatable()` Method `isFloatable` determines whether this portlet currently has the 'floatable' attribute set for this user.
`boolean` | `isHelpable()` Method `isHelpable` determines whether this portlet currently has the 'helpable' attribute set for this user.
`boolean` | `isMaximizable()` Method `isMaximizable` determines whether this portlet currently has the 'maximizable' attribute set for this user.
`boolean` | `isMinimizable()` Method `isMinimizable` determines whether this portlet currently has the 'minimizable' attribute set for this user.
`boolean` | `isMinimized()` Method `isMinimized` determines whether a this portlet is currently in a minimized state.
`boolean` | `isRemovable()` Method `isRemovable` determines whether this portlet currently has the 'removable' attribute set for this user.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Method Detail

### getPortletIdentifier

    public PortletIdentifier getPortletIdentifier()

  Method `getPortletIdentifier` retrieves an identifier representing the portlet definition that this portlet is an instance of.

  Returns:
    A value of type `PortletIdentifier` representing the portlet definition that this portlet is an instance of

### getPlaceholderIdentifier

    public PlaceholderIdentifier getPlaceholderIdentifier()

  Method `getPlaceholderIdentifier` retrieves an identifier for the placeholder that this portlet instance is currently situated within. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `PlaceholderIdentifier` representing the placeholder that this portlet instance is currently located within.

### getPlaceholderIndex

    public int getPlaceholderIndex()

  Method `getPlaceholderIndex` retrieves an index representing an ordering for this portlet within the placeholder that is specified by the `getPlaceholderIdentifier` method. The index is expected to start at 1 with 0 representing an unspecified index.

  Returns:
    A value of primitive type `int` representing index of this portlet within the specified placeholder.

### isMinimized

    public boolean isMinimized()

  Method `isMinimized` determines whether a this portlet is currently in a minimized state.

  Returns:
    A value of primitive type `boolean` that determines whether this portlet is currently minimized.

### isFloatable

    public boolean isFloatable()

  Method `isFloatable` determines whether this portlet currently has the 'floatable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'floatable' attribute set for this user.

### isMinimizable

    public boolean isMinimizable()

  Method `isMinimizable` determines whether this portlet currently has the 'minimizable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'minimizable' attribute set for this user.

### isHelpable

    public boolean isHelpable()

  Method `isHelpable` determines whether this portlet currently has the 'helpable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'helpable' attribute set for this user.

### isMaximizable

    public boolean isMaximizable()

  Method `isMaximizable` determines whether this portlet currently has the 'maximizable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'maximizable' attribute set for this user.

### isEditable

    public boolean isEditable()

  Method `isEditable` determines whether this portlet currently has the 'editable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'editable' attribute set for this user.

### isRemovable

    public boolean isRemovable()

  Method `isRemovable` determines whether this portlet currently has the 'removable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'removable' attribute set for this user.

### getDisplayName

    public java.lang.String getDisplayName()

  Method `getDisplayName` returns the display name of this portlet.

  Returns:
    A value of type `String` representing the name of this portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved